package sharedInterfaces;

public interface NotifierInterface
{
    public boolean waitForTermination();
    public void executionTerminated();
    public void reportProgress(float percent);
    public void reportMessage(String message);
}
